.checkbox {
    font-size: 0;
    line-height: 0;
    font-weight: 400;
    position: relative;
    display: inline-block;

    &__input {
        top: 0;
        left: 0;
        width: 0;
        height: 0;
        opacity: 0;
        overflow: hidden;
        visibility: hidden;
        position: absolute;

        &:checked + .checkbox__label {

            &:before {
                border-color: var(--green);
                background: var(--green);
            }

            &:after {
                opacity: 1;
                visibility: visible;
            }
        }

        &:indeterminate + .checkbox__label {

            &:before {
                border-color: var(--green);
                background: var(--green);
            }

            &:after {
                top: 7px;
                width: 10px;
                height: 2px;
                background: white;
                opacity: 1;
                visibility: visible;
            }
        }

        &:disabled + .checkbox__label {
            opacity: 0.6;
            cursor: default;
        }
    }

    &__label {
        cursor: pointer;
        color: var(--black);
        min-height: 16px;
        font-size: 15px;
        line-height: 20px;
        position: relative;
        display: inline-block;
        padding: 0 0 0 30px;

        &:before {
            top: 0;
            left: 0;
            z-index: 1;
            content: '';
            width: 18px;
            height: 18px;
            position: absolute;
            border-radius: 3px;
            background: white;
            border: 2px solid #85959E;
        }

        &:after {
            top: 6px;
            left: 4px;
            z-index: 5;
            content: '';
            width: 10px;
            height: 6px;
            position: absolute;
            background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTIiIGhlaWdodD0iOCIgdmlld0JveD0iMCAwIDEyIDgiIGZpbGw9Im5vbmUiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+CjxwYXRoIGQ9Ik0xMSAxTDQuMTI1IDdMMSA0LjI3MjczIiBzdHJva2U9IndoaXRlIiBzdHJva2Utd2lkdGg9IjEuOTk4MzIiIHN0cm9rZS1saW5lY2FwPSJyb3VuZCIgc3Ryb2tlLWxpbmVqb2luPSJyb3VuZCIvPgo8L3N2Zz4K");
            background-position: 50% 50%;
            background-repeat: no-repeat;
            background-size: cover;
            opacity: 0;
            visibility: hidden;
        }

        a {
            color: var(--green);
            text-decoration: none;

            &:hover {
                color: var(--green);
                text-decoration: underline;
            }
        }

        &:hover {
        }
    }
}
